## NAME

           x2sys_datalist - A generic data-extractor ascii or binary files

## SYNOPSIS

           x2sys_datalist  file(s)  [  -Ddeffile  ] [ -Fname1,name2,... ] [ -H ] [
           -M[flag] ] [ -Rwest/east/south/north ] [ -S ] [ -TTAG ] [ -V ] [ -bo ]

## DESCRIPTION

           x2sys_datalist reads one or  more  files  and  produces  an  ASCII  [or
           binary] table.  The files can be of any format, which must be descriped
           and passed with the -D option (or, alternatively, the \-T option).  You
           may limit the output to a geographic region, and insist that the output
           from several files be separated by a multiple segment header.  Only the
           named data fields will be output [Default is all columns].

           files  Can be one or more binary or ASCII data files. To give a list of
                  names, use ‘cat list_of_files‘.

## OPTIONS

           No space between the option flag and the associated arguments

           -D     Definition file for this data set. [x2sys.def]

           -F     Give a comma-separated list of column names as  defined  in  the
                  definition file. [Default is all data columns].

           -H     Input file(s) has Header record(s). Number of header records can
                  be changed by editing your  .gmtdefaults4  file.  If  used,  GMT
                  default  is  1  header record. Use -Hi if only input data should
                  have header records [Default will write out  header  records  if
                  the input data have them].

           -S     Suppress  output  records  where  all  the  data columns are NaN
                  [Default will output all records].

           -T     Sets the data set TAG which among other things sets the  defini-
                  tion file.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -bo    Selects binary output. Append s for single precision [Default is
                  double].

## EXAMPLES

           To extract all data from the old-style GMT MGG file c2104.gmt:

           x2sys_datalist c2104.gmt -Dgmt > myfile

           To  make  x,y,topo  input for blockmean and surface using all the files
           listed in the file tracks.lis, but only the data that  are  inside  the
           specified area, and make output binary, run

           x2sys_datalist  ‘cat  tracks.lis‘ -Fx,y,topo -R-40/-30/25/35 -bo > all-
           topo.xyz